<?php
$mysql_user = "jabbo";
$mysql_pass = "";
$mysql_host = "localhost";
$mysql_dbn = "";
if (!@mysql_select_db($mysql_dbn, @mysql_connect($mysql_host, $mysql_user, $mysql_pass)))   
{   
     echo "De site is tijdelijk ontoegankelijk.";
     exit();   
}
if (!function_exists('halen'))
{
	function halen($sql)
	{
		$result = mysql_query($sql);
		$record = mysql_fetch_row($result);
		return $record[0];
	}
}
if(!function_exists('file_put_contents'))
{
    function file_put_contents($filename, $data, $file_append = false)
    {
        $fp = fopen($filename, (!$file_append ? 'w+' : 'a+'));
        if(!$fp)
        {
            trigger_error('file_put_contents cannot write in file.', E_USER_ERROR);
            return;
        }
        fputs($fp, $data);
        fclose($fp);
    }
}
if (!function_exists('file_get_contents')) {
    function file_get_contents($filename, $incpath = false, $resource_context = null)
    {
        if (false === $fh = fopen($filename, 'rb', $incpath)) {
            user_error('file_get_contents() failed to open stream: No such file or directory',
                E_USER_WARNING);
            return false;
        }

        clearstatcache();
        if ($fsize = @filesize($filename)) {
            $data = fread($fh, $fsize);
        } else {
            $data = '';
            while (!feof($fh)) {
                $data .= fread($fh, 8192);
            }
        }

        fclose($fh);
        return $data;
    }
}
$dir = "ongeordend";
if ($handle = @opendir($dir))
{
	while (false !== ($file = @readdir($handle)))
	{
		$bestand = $dir."/".$file;
		if ((basename($file) != '.') and (basename($file) != '..'))
		{
			$tellen = 0;
			$dir2 = "ongeordend/".basename($file);
			if ($handle2 = @opendir($dir2))
			{
				while (false !== ($file2 = @readdir($handle2)))
				{
					$bestand2 = $dir."/".$file2;
					if ((basename($file2) != '.') and (basename($file2) != '..'))
					{
						if (end(explode('.',basename($file2))) != "gif")
						{
							$tellen++;
						}
					}
				}
				@closedir($handle2);
			}
			$eval_naam = str_replace (' ', '_', basename($file));
			$eval_naam = str_replace ("'", "", $eval_naam);
			$cat_to_eval = '$'.$eval_naam.' = '.$tellen.';';
			eval($cat_to_eval);
		}
	}
	@closedir($handle);
}
mysql_query("TRUNCATE TABLE prijslijst;");
echo "Itemsysteem herstart.<br>";
$collecties = mysql_query("SELECT * FROM catalogus ORDER by naam;");
if (mysql_num_rows($collecties) >= 1)
{
    while ($row = mysql_fetch_array($collecties))
    {
	    $eval_naam = str_replace (' ', '_', $row['naam']);
	    $eval_naam = str_replace ("'", "", $eval_naam);
	    $cat_check_eval = '$ok = "nee"; if (ISSET($'.$eval_naam.')) { $ok = $'.$eval_naam.'; }';
		eval($cat_check_eval);
		if ($ok != "nee")
		{
			mkdir("uitvoer/".$row['id']);
			add_cat($ok, $row['id'], $row['naam']);
		}
	}
}
function add_cat($items, $categorie, $cat_naam)
{
	$mapje = "ongeordend/".$cat_naam."/";
	for ($i1 = 1; $i1 <= $items; $i1++)
	{
		mkdir("uitvoer/".$categorie."/".$i1);
		copy($mapje.$i1."/icon.gif", "uitvoer/".$categorie."/".$i1."/icon.gif");
		$hoeken = 0;
		$actie = "nee";
		if (file_exists($mapje.$i1."/1.gif"))
		{
			$hoeken = 1;
		}
		if (file_exists($mapje.$i1."/2.gif"))
		{
			$hoeken = 2;
		}
		if (file_exists($mapje.$i1."/3.gif"))
		{
			$hoeken = 3;
		}
		if (file_exists($mapje.$i1."/4.gif"))
		{
			$hoeken = 4;
		}
		if (file_exists($mapje.$i1."/1b.gif"))
		{
			$actie = "ja";
		}
		for ($i2 = 1; $i2 <= $hoeken; $i2++)
		{
			copy($mapje.$i1."/".$i2.".gif", "uitvoer/".$categorie."/".$i1."/".$i2.".gif");
			if ($actie == "ja")
			{
				copy($mapje.$i1."/".$i2."b.gif", "uitvoer/".$categorie."/".$i1."/".$i2."b.gif");
			}
		}
		$bestand = file_get_contents($mapje.$i1."/omschrijving.txt");
		$item_naam = substr($bestand, 0, (strlen($bestand)-strlen(strstr($bestand, "\n")))-1);
		$item_desc = substr(strstr($bestand, "\n"), 3, strlen(strstr($bestand, "\n")) - (strlen(substr($bestand, strrpos($bestand, "\n"), strlen($bestand)))+4)-2);
		$item_price1 = substr(substr($bestand, strrpos($bestand, "\n"), strlen($bestand)), 1, strlen(substr($bestand, strrpos($bestand, "\n"), strlen($bestand)))-9);
		$item_price2 = substr(substr($bestand, strrpos($bestand, "\n"), strlen($bestand)), 1, strlen(substr($bestand, strrpos($bestand, "\n"), strlen($bestand)))-8);
		if ($item_price1 == "")
		{
			$item_price = $item_price2;
		}
		else
		{
			$item_price = $item_price1;
		}
		$item_naam = str_replace ('"', "'", $item_naam);
		$item_desc = str_replace ('"', "'", $item_desc);
		if (file_exists($mapje.$i1."/positie.txt"))
		{
			eval(file_get_contents($mapje.$i1."/positie.txt"));
		}
		else
		{
			$wijzig_x = "+0";
			$wijzig_y = "-0";
			$draai_x = "+0";
			$draai_y = "+0";
			$actie_x = "+0";
			$actie_y = "+0";
			$stapelen = "nee";
			$stapel_x = "-0";
			$stapel_y = "-0";
			$lengte = "1";
			$breedte = "1";
			$soort = "";
			$actief = "ja";
		}
		mysql_query("INSERT INTO prijslijst SET prijs=".$item_price.", naam=\"".$item_naam."\", omschrijf=\"".$item_desc."\", cat=".$categorie.", catnr=".$i1.", afb=".$hoeken.", soort=\"".$soort."\", actie=\"".$actie."\", actief=\"".$actief."\", wijzig_x = \"".$wijzig_x."\", wijzig_y = \"".$wijzig_y."\", draai_x = \"".$draai_x."\", draai_y = \"".$draai_y."\", actie_x = \"".$actie_x."\", actie_y = \"".$actie_y."\", stapelen = \"".$stapelen."\", stapel_x = \"".$stapel_x."\", stapel_y = \"".$stapel_y."\", lengte = \"".$lengte."\", breedte = \"".$breedte."\";");
	}
	mysql_query("UPDATE prijslijst SET actief='nee' WHERE cat='3';");
	echo $items." items toegevoegd aan de catalogus bij '".$cat_naam."'.<br>";
}
?>